## org.eclipse.wst.common.environment
Class StatusException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.wst.common.environment.EnvironmentException
                  org.eclipse.wst.common.environment.StatusException

All Implemented Interfaces:
  java.io.Serializable

    public class StatusException

extends EnvironmentException

This is the exception class used by StatusHandlers to tell their callers that processing should stop.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`StatusException(Choice choice)` Creates a new StatusException with the given Choice.
`StatusException(org.eclipse.core.runtime.IStatus status)` Creates a new StatusException with the given Status.
`StatusException(org.eclipse.core.runtime.IStatus status, Choice choice)` Creates a new StatusException with the given Choice and status object.

Method Summary
`Choice` `getChoice()`

Methods inherited from class org.eclipse.wst.common.environment.EnvironmentException
`getStatus`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusException

    public StatusException(org.eclipse.core.runtime.IStatus status)

  Creates a new StatusException with the given Status.

  Parameters:
    `status` - the status for this exception.

### StatusException

    public StatusException(Choice choice)

  Creates a new StatusException with the given Choice. The Choice may be null.

  Parameters:
    `choice` - the choice for this exception.

### StatusException

    public StatusException(org.eclipse.core.runtime.IStatus status,
                           Choice choice)

  Creates a new StatusException with the given Choice and status object. The Choice may be null.

  Parameters:
    `status` - the status for this exception.
    `choice` - the choice for this exception.

Method Detail

### getChoice

    public Choice getChoice()

  Returns:
    Returns the Choice object inside this exception.